Debian Bug report logs - #598894
software-center: On kfreebsd the program segfaults.

version graph

Package: libwebkit-1.0-2; Maintainer for libwebkit-1.0-2 is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sat, 2 Oct 2010 21:30:01 UTC

Severity: serious

Tags: confirmed, moreinfo, patch

Merged with 547177, 550362, 559925, 598956

Found in versions webkit/1.1.17-2, webkit/1.2.4-1, webkit/1.2.5-2

Fixed in version webkit/1.2.5-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#598894; Package software-center. (Sat, 02 Oct 2010 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Julian Andres Klode <jak@debian.org>. (Sat, 02 Oct 2010 21:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: software-center: On kfreebsd the program segfaults.
Date: Sat, 02 Oct 2010 22:26:34 +0100
[Message part 1 (text/plain, inline)]
Package: software-center
Version: 2.0.7debian5
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

On kfreebsd when the program is run no windows ever appear and after
several seconds the program segfaults leaving a python2.6 core file.

$ software-center
WARNING:root:ubuntu-almost-fixed-height-mode extension not available
WARNING:root:ubuntu-almost-fixed-height-mode extension not available
WARNING:root:ubuntu-almost-fixed-height-mode extension not available
Segmentation fault (core dumped)
$ echo $?
139
$ ls -sh python2.6.core
100M python2.6.core

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages software-center depends on:
ii  app-install-data           2010.08.21    Application Installer Data
Files
ii  aptdaemon                  0.31+bzr413-1 transaction based package
manageme
ii  gnome-icon-theme           2.30.3-1      GNOME Desktop icon theme
ii  gnome-menus                2.30.2-1      an implementation of the
freedeskt
ii  lsb-release                3.2-23.1      Linux Standard Base version
report
ii  policykit-1                0.96-3        framework for managing
administrat
ii  policykit-1-gnome          0.96-2        GNOME authentication agent
for Pol
ii  python                     2.6.5-13      interactive high-level
object-orie
ii  python-apt                 0.7.97.1      Python interface to libapt-pkg
ii  python-aptdaemon           0.31+bzr413-1 Python module for the
server and c
ii  python-aptdaemon-gtk       0.31+bzr413-1 Python GTK+ widgets to run
an aptd
ii  python-central             0.6.16+nmu1   register and build utility
for Pyt
ii  python-dbus                0.83.1-1      simple interprocess
messaging syst
ii  python-gconf               2.28.1-1      Python bindings for the
GConf conf
ii  python-gtk2                2.17.0-4      Python bindings for the
GTK+ widge
ii  python-webkit              1.1.7-1+b1    WebKit/Gtk Python bindings
ii  python-xapian              1.2.3-3       Xapian search engine
interface for
ii  python-xdg                 0.19-2        Python library to access
freedeskt

Versions of packages software-center recommends:
ii  apt-xapian-index         0.38            maintenance tools for a
Xapian ind
ii  software-properties-gtk  0.60.debian-1.1 manage the repositories
that you i
ii  update-notifier          0.99.3debian6   Daemon which notifies about
packag

software-center suggests no packages.

-- no debconf information

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#598894; Package software-center. (Sun, 03 Oct 2010 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. (Sun, 03 Oct 2010 10:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 598894@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 598894@bugs.debian.org
Subject: Re: Bug#598894: software-center: On kfreebsd the program segfaults.
Date: Sun, 03 Oct 2010 12:02:52 +0200
On Sa, 2010-10-02 at 22:26 +0100, Michael Dorrington wrote:
> Package: software-center
> Version: 2.0.7debian5
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-CC: debian-bsd@lists.debian.org
> 
> On kfreebsd when the program is run no windows ever appear and after
> several seconds the program segfaults leaving a python2.6 core file.
> 
> $ software-center
> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
> Segmentation fault (core dumped)
> $ echo $?
> 139
> $ ls -sh python2.6.core
> 100M python2.6.core

Please run a debugger and reassign it to the crashing Python extension;
software-center is a Python application and should not be able to cause
segfaults itself without a bug somewhere else.
-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Information forwarded to debian-bugs-dist@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#598894; Package software-center. (Fri, 08 Oct 2010 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julian Andres Klode <jak@debian.org>. (Fri, 08 Oct 2010 20:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 598894@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Julian Andres Klode <jak@debian.org>, 598894@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#598894: software-center: On kfreebsd the program segfaults.
Date: Fri, 08 Oct 2010 21:36:58 +0100
[Message part 1 (text/plain, inline)]
Julian Andres Klode wrote:
[snip]
>> On kfreebsd when the program is run no windows ever appear and after
>> several seconds the program segfaults leaving a python2.6 core file.
>>
>> $ software-center
>> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
>> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
>> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
>> Segmentation fault (core dumped)
>> $ echo $?
>> 139
>> $ ls -sh python2.6.core
>> 100M python2.6.core
> 
> Please run a debugger and reassign it to the crashing Python extension;
> software-center is a Python application and should not be able to cause
> segfaults itself without a bug somewhere else.

I'm not sure how to go about this. Please can you give me some pointers.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#598894; Package software-center. (Sat, 16 Oct 2010 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julian Andres Klode <jak@debian.org>. (Sat, 16 Oct 2010 10:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 598894@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Julian Andres Klode <jak@debian.org>, 598894@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#598894: software-center: On kfreebsd the program segfaults.
Date: Sat, 16 Oct 2010 11:11:26 +0100
[Message part 1 (text/plain, inline)]
reassign 598894 libwebkit-1.0-2 1.2.4-1
affects 598894 software-center
forcemerge 598894 559925
thanks

Michael Dorrington wrote:
> Julian Andres Klode wrote:
> [snip]
>>> On kfreebsd when the program is run no windows ever appear and after
>>> several seconds the program segfaults leaving a python2.6 core file.
>>>
>>> $ software-center
>>> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
>>> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
>>> WARNING:root:ubuntu-almost-fixed-height-mode extension not available
>>> Segmentation fault (core dumped)
>>> $ echo $?
>>> 139
>>> $ ls -sh python2.6.core
>>> 100M python2.6.core
>> Please run a debugger and reassign it to the crashing Python extension;
>> software-center is a Python application and should not be able to cause
>> segfaults itself without a bug somewhere else.
> 
> I'm not sure how to go about this. Please can you give me some pointers.

It is webkit that is causing the crash and software-center no longer
crashes when using a version of libwebkit-1.0-2 patched with the patch
for webkit submited to #598956,
webkit-1.2.4-fix_jit_on_kfreebsd-i386-1.patch
<http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=69;filename=webkit-1.2.4-fix_jit_on_kfreebsd-i386-1.patch;att=1;bug=598956>

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'software-center' to 'libwebkit-1.0-2'. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions software-center/2.0.7debian5. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.4-1. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Added indication that 598894 affects software-center Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:05 GMT) Full text and rfc822 format available.

Forcibly Merged 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:06 GMT) Full text and rfc822 format available.

Forcibly Merged 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 11:28:55 GMT) Full text and rfc822 format available.

Forcibly Merged 547177 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.5-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:27 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:30 GMT) Full text and rfc822 format available.

Information stored :
Bug#598894; Package libwebkit-1.0-2. (Sun, 07 Nov 2010 11:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sun, 07 Nov 2010 11:27:09 GMT) Full text and rfc822 format available.

Message #43 received at 598894-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 598956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598956: javascript segfaults in webkit on kfreebsd-i386
Date: Sun, 7 Nov 2010 10:09:26 +0100 (CET)
found 598956 1.2.5-2
severity 598956 serious
--

Hi,

it brokes many browsers on kfreebsd-i386, please apply (now) tested patch,
which is in

Message #64 received at 598956@bugs.debian.org
Message #69 received at 598956@bugs.debian.org

The patch itself is just adding four times "|| defined(__GLIBC__)".

Thanks

	Petr





Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 10:00:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jan 2011 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:43:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.